Loading...
Searching...
No Matches
BALL::SmartsParser::SPAtom::Property Struct Reference

Property struct of smarts parser atom. More...

`#include <BALL/STRUCTURE/smartsParser.h>`

## Public Member Functions

Constructors and desctructors
| Property (PropertyType type, int value)
| Detailed constructor with type and int value.
| Property (PropertyType type, bool value)
| Detailed constructor with type and flag.
| Property (PropertyType type, const Element *value)
| Detailed constructor with type and Element.
| Property (PropertyType type, ChiralClass value)
| Detailed constructor with type and chiral class definition.
virtual | ~Property ()
| Destructor.
void | operator= (const Property &rhs)
| assignment operator

## Accessors

PropertyType | getType () const
| returns the type of the property
PropertyValue | getValue () const
| returns the value of the property

## Detailed Description

Property struct of smarts parser atom.

Definition at line 222 of file smartsParser.h.

## Constructor & Destructor Documentation

## Property() [1/4]

BALL::SmartsParser::SPAtom::Property::Property | ( | PropertyType | type,
|  | int | value )

Detailed constructor with type and int value.

## Property() [2/4]

BALL::SmartsParser::SPAtom::Property::Property | ( | PropertyType | type,
|  | bool | value )

Detailed constructor with type and flag.

## Property() [3/4]

BALL::SmartsParser::SPAtom::Property::Property | ( | PropertyType | type,
|  | const Element * | value )

Detailed constructor with type and Element.

## Property() [4/4]

BALL::SmartsParser::SPAtom::Property::Property | ( | PropertyType | type,
|  | ChiralClass | value )

Detailed constructor with type and chiral class definition.

## ~Property()

virtual BALL::SmartsParser::SPAtom::Property::~Property | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## getType()

PropertyType BALL::SmartsParser::SPAtom::Property::getType | ( |  | ) | const

inline

returns the type of the property

Definition at line 252 of file smartsParser.h.

## getValue()

PropertyValue BALL::SmartsParser::SPAtom::Property::getValue | ( |  | ) | const

inline

returns the value of the property

Definition at line 255 of file smartsParser.h.

## operator=()

void BALL::SmartsParser::SPAtom::Property::operator= | ( | const Property & | rhs | ) |

assignment operator